Bug 459928 - RFE: Let users opt not to consume all VolumeGroup into "/" , has a valid use-case
RFE: Let users opt not to consume all VolumeGroup into "/" , has a valid use-...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 13:02 EDT by Kevin Verma
Modified: 2008-09-26 14:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 14:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2008-08-24 13:02:34 EDT
Description of Feature: 

Currently Anaconda consumes all VolumeGroup during automatic partitioning into "/" 

This requires extra efforts for users to later re-use the extents for other filesystems. 

A good use-case is of novice Virtualization users, if they don't have free extents they can't build a non-file based GuestOS, without reconfig of LVM setup first. It is suggested that Anaconda should have some sort of release install estimate, which can be then used to calculate the amount of LVM extents to consume in "/" and leave behind spare extents for future use by the system user.

Fedora based Virtualization is popular among users and critical for their legacy applications or rtestings, there are high hopes that Anaconda team can come up with a friendly solution to this or similar use-cases.
Comment 1 Chris Lumens 2008-08-26 13:32:30 EDT
Sorry, I'm not quite sure what you're asking for here.  The custom partitioning UI should provide all the flexibility you need to shrink down the logical volumes contained within a volume group so that they do not consume the entire volume group.  Is this what you are looking for?
Comment 2 Kevin Verma 2008-08-26 14:13:56 EDT
I am aware of custom partitioning, and is easy to use for a user who understands concept for LVM etc. 

The point is could Anaconda be little simpler for users who might run VM's later and where you want to tell them make sure to make disk based VM's than file-based for performance reasons. 

Can anaconda make that part of requirement judgment easier for the users ? while responding to you I think Anaconda can request a checkbox to be clicked to also create disk/lv for N' guestOS with sizeof N' 

Kevin
Comment 3 Chris Lumens 2008-09-26 14:12:19 EDT
The UI for making a logical volume smaller is already pretty simple.  You just have to select the filesystem you want smaller and then type in a maximum size.  I don't see how much better we could make it.  If a user can't figure that out, I'm not sure they're going to be helped by a seemingly-unrelated checkbox asking about virtualization guests.

Note You need to log in before you can comment on or make changes to this bug.